

#ifndef MOVIES_YEAR
#define MOVIES_YEAR

#include "stdio.h"
#include "stdlib.h"
#include "time.h"
#include <sys/stat.h>
#include <sys/types.h>

#include "csv_parser.h"
#include "node.h"
#include "input.h"
#include "directory_list.h"

int menu();
int select_ftype();

void print_csv(struct node*, char*);

// Menu Options
enum OPTIONS {
  PROCCESS = 1,
  EXIT = 2,
  SELECT = 3,
  LARGE = 4,
  SMALL = 5,
};

void movie_by_small();
void movie_by_large();
void movie_by_select();
void choose_movie(char*);
void find_year(struct csv*, void*);

#endif
