
#ifndef MAIN
#define MAIN

#include "stdlib.h"
#include "stdio.h"
#include "string.h"
#include "unistd.h"
#include "sys/wait.h"
#include "fcntl.h"
#include "signal.h"

int input_format(char*, size_t, char***);
void inbuilt_cd(char*);
int run_command(char***, int);
void expand_dollar(char*, size_t);
void sterilize_array(char***, size_t);
void sigint_handle();
void sigstop_handle();
void clean_children();

#endif 
